Skip to main content
GET
/
v1
/
videos
Get user videos
curl --request GET \
  --url https://api.videoaiditor.com/v1/videos \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "_id": "<string>",
      "version": "<string>",
      "metadata": {
        "name": "<string>",
        "backgroundColor": "#000000",
        "duration": 123,
        "fps": 30,
        "canvas": {
          "width": 1920,
          "height": 1080
        },
        "redirectUrl": "<string>"
      },
      "clips": [
        {
          "type": "video",
          "source": "<string>",
          "timeFrame": {
            "start": 0,
            "end": 123,
            "offset": 123
          },
          "position": {
            "x": 0,
            "y": 0,
            "z": 0
          },
          "transform": {
            "scale": {
              "x": 1,
              "y": 1
            },
            "rotation": 123
          },
          "size": {
            "width": 100,
            "height": 100
          },
          "id": "<string>",
          "name": "<string>",
          "volume": 1,
          "textProperties": {
            "content": "<string>",
            "fontSize": 16,
            "fontWeight": 400,
            "fontFamily": "Arial",
            "color": "#000000",
            "backgroundColor": "transparent",
            "textAlign": "left",
            "fontStyle": "normal",
            "padding": 0,
            "strokeWidth": 0,
            "strokeColor": "#000000",
            "borderWidth": 0,
            "borderColor": "#FFFFFF",
            "underline": false
          },
          "captionProperties": {
            "words": [
              {
                "start": 123,
                "end": 123,
                "word": "<string>"
              }
            ],
            "highlightTextProperties": {
              "fontSize": 24,
              "color": "#000000",
              "fontFamily": "Montserrat",
              "fontWeight": 400,
              "fontStyle": "normal",
              "underline": false,
              "padding": 0,
              "strokeWidth": 0,
              "strokeColor": "#000000",
              "borderWidth": 0,
              "borderColor": "#FFFFFF",
              "backgroundColor": "<string>"
            },
            "nonHighlightTextProperties": {
              "fontSize": 24,
              "color": "#000000",
              "fontFamily": "Montserrat",
              "fontWeight": 400,
              "fontStyle": "normal",
              "underline": false,
              "padding": 0,
              "strokeWidth": 0,
              "strokeColor": "#000000",
              "borderWidth": 0,
              "borderColor": "#FFFFFF",
              "backgroundColor": "<string>"
            },
            "textAlign": "center",
            "maxWidth": 500,
            "maxWordsInFrame": 5
          }
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "additional": {}
    }
  ],
  "pagination": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.videoaiditor.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Enter your API key here

Query Parameters

page
number

Page number

limit
number

Number of items per page

Response

Returns the list of user videos.

data
object[]
required

Array of video data

pagination
object
required

Pagination information